/*
 * wxcextra.cc
 * Extra CLIPS functions that need to be defined
 * in a C file.
 *
 */

#include "clips.h"

#include "factmngr.h"
#include "factrhs.h"

/*
 * Test a fact from within a function
 */
 
int FactStringExistp (void)
{
  struct fact *fact;
  struct fact *list;
     
  fact = StringToFact (RtnLexeme (1));
     
  list = (struct fact *)GetNextFactInScope (NULL);
     
  while (list != NULL)
   if (list->whichDeftemplate == fact->whichDeftemplate &&
       MultifieldsEqual(&list->theProposition, &fact->theProposition))
    return 1;
   else
    list = (struct fact *)GetNextFactInScope (list);
     
  return 0;
}

