# Some 'pointer truncated' warnings in WIN32 mode, e.g. bload.c, L. 404
# clipsmem.h: CopyMemory clash with macro in \watcom\h\nt\winbase.h. Undefed.
# memory.c: Added __WATCOMC__ test
# sysdep.c: references to 'interrupt' cause problems for Watcom (undefined __GETDS).

WXDIR = c:\wx

!include $(WXDIR)\src\makewat.env

EXTRACPPFLAGS=/DWXCLIPS

LIBTARGET = clips32.lib

OBJECTS = agenda.obj analysis.obj argacces.obj bload.obj bmathfun.obj bsave.obj classcom.obj &
 classexm.obj classfun.obj classinf.obj classini.obj classpsr.obj clsltpsr.obj commline.obj &
 conscomp.obj constrct.obj constrnt.obj crstrtgy.obj cstrcbin.obj cstrccom.obj cstrcpsr.obj &
 cstrnbin.obj cstrnchk.obj cstrncmp.obj cstrnops.obj cstrnpsr.obj cstrnutl.obj default.obj &
 defins.obj developr.obj dffctbin.obj dffctbsc.obj dffctcmp.obj dffctdef.obj dffctpsr.obj &
 dffnxbin.obj dffnxcmp.obj dffnxexe.obj dffnxfun.obj dffnxpsr.obj dfinsbin.obj dfinscmp.obj &
 drive.obj edbasic.obj edmain.obj edmisc.obj edstruct.obj edterm.obj emathfun.obj engine.obj &
 evaluatn.obj expressn.obj exprnbin.obj exprnops.obj exprnpsr.obj extnfunc.obj factbin.obj factfun.obj &
 factbld.obj factcmp.obj factcom.obj factgen.obj facthsh.obj factlhs.obj factmch.obj &
 factmngr.obj factprt.obj factrete.obj factrhs.obj filecom.obj filertr.obj generate.obj &
 genrcbin.obj genrccmp.obj genrccom.obj genrcexe.obj genrcfun.obj genrcpsr.obj globlbin.obj &
 globlbsc.obj globlcmp.obj globlcom.obj globldef.obj globlpsr.obj immthpsr.obj incrrset.obj &
 inherpsr.obj inscom.obj insfile.obj insfun.obj insmngr.obj insmoddp.obj insmult.obj &
 inspsr.obj insquery.obj insqypsr.obj iofun.obj lgcldpnd.obj memory.obj miscfun.obj &
 modulbin.obj modulbsc.obj modulcmp.obj moduldef.obj modulpsr.obj modulutl.obj msgcom.obj &
 msgfun.obj msgpass.obj msgpsr.obj multifld.obj multifun.obj objbin.obj objcmp.obj &
 objrtbin.obj objrtbld.obj objrtcmp.obj objrtfnx.obj objrtgen.obj objrtmch.obj pattern.obj &
 pprint.obj prccode.obj prcdrfun.obj prcdrpsr.obj prdctfun.obj prntutil.obj reorder.obj &
 reteutil.obj retract.obj router.obj rulebin.obj rulebld.obj rulebsc.obj rulecmp.obj &
 rulecom.obj rulecstr.obj ruledef.obj ruledlt.obj rulelhs.obj rulepsr.obj scanner.obj &
 strngfun.obj strngrtr.obj symblbin.obj symblcmp.obj symbol.obj sysdep.obj textpro.obj &
 tmpltbin.obj tmpltbsc.obj tmpltcmp.obj tmpltutl.obj tmpltdef.obj tmpltfun.obj &
 tmpltlhs.obj tmpltpsr.obj tmpltrhs.obj utility.obj watch.obj

all: $(LIBTARGET)

$(LIBTARGET):      $(OBJECTS)
        erase $(LIBTARGET)
        *wlib /b /c /n /p=64 $(LIBTARGET) $(OBJECTS)

clean:   .SYMBOLIC
    -erase *.obj *.bak *.err *.pch *.lib *.lbc
