WXDIR = ..\..\..

!include $(WXDIR)\src\makewat.env

WXGRIDDIR = $(WXDIR)\utils\wxgrid
WXGRIDLIB = $(WXGRIDDIR)\lib\wxgrid.lib
WXGRIDINC = $(WXGRIDDIR)\src

# wxHtml: an HTML widget
WXHTMLDIR = $(WXDIR)\utils\wxweb
WXHTMLLIB = $(WXHTMLDIR)\lib\wxhtml.lib
WXHTMLINCFLAG=-i=$(WXHTMLDIR)\src -DUSE_WXHTML=1

LIBTARGET = ..\lib\wxextend.lib
IFLAGS      = -i=$(WXINC) -i=$(WXBASEINC) -i=$(WXGRIDINC) -i=$(WXDIR)\utils\dib -i=$(WXDIR)\utils\rcparser\src
EXTRACPPFLAGS = /DLOADABLE_ICONS=1 /DLOADABLE_BITMAPS=1 /DWXODBC=1 /DUSE_WXGRID=1 /DUSE_WXHTML=1 $(WXHTMLINCFLAG)

OBJECTS = exmisc.obj exgdi.obj exutils.obj exitems.obj exwin.obj exdc.obj extbar.obj exdde.obj exodbc.obj &
 exdate.obj exgrid.obj exhtml.obj

all: erasepch $(OBJECTS) $(LIBTARGET)

$(LIBTARGET): $(OBJECTS)
	*wlib /b /c /n /P=256 $(LIBTARGET) $(OBJECTS)

clean:   .SYMBOLIC
    -erase *.obj *.bak *.err *.pch $(LIBTARGET) *.lbc


